IntegrationsNotion

List one level of page or block content; follow has_children with blocks.list to read nested blocks.

POST
/integrations/connections/{connection_id}/providers/notion/blocks/list

List one level of page or block content; follow has_children with blocks.list to read nested blocks.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

connection_id*string

Resource identifier: connection_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/notion/blocks/list" \  -H "Content-Type: application/json" \  -d '{    "block_id": "examplexxxxxxxxxxxxxxxxxxxxxxxxx"  }'
{  "items": [],  "next_cursor": "example"}